<?xml version="1.0" encoding="utf-8"?>
<!--
    AndroidManifest.xml
    Řešení bakalářské práce: Monitorování využití ultralehkých letadel
    Autor: Matěj Kudera, FIT (xkuder04@stud.fit.vutbr.cz)

    Manifest pro android aplikaci
-->
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.bpmobileaplication">

    <!--Permissions-->
    <!--BlueTooth-->
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />

    <!--Uloženi souboru-->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    
    <application
        android:requestLegacyExternalStorage="true"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.BPMobileAplication">

        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="@string/google_maps_key" />

        <activity
            android:name=".SelectDeviceActivity"
            android:screenOrientation="portrait"
            android:label="@string/app_name">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".LoginActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"/>
        <activity android:name=".FlightsActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"/>
        <activity android:name=".FlightDetailActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"/>
        <activity android:name=".EditUserActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"/>
        <activity android:name=".EditPilotsActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"/>
        <activity android:name=".EditOrSavePilotActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"/>
    </application>
</manifest>

<!--end AndroidManifest.xml-->
